if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -x /usr/bin/update-gdk-pixbuf-loaders ]; then
  /usr/bin/update-gdk-pixbuf-loaders >/dev/null 2>&1
fi
( cd usr/lib64 ; rm -rf libnautilus-extension.so )
( cd usr/lib64 ; ln -sf libnautilus-extension.so.4 libnautilus-extension.so )
( cd usr/lib64 ; rm -rf libnautilus-extension.so.4 )
( cd usr/lib64 ; ln -sf libnautilus-extension.so.4.1 libnautilus-extension.so.4 )
